#ifndef CLASSICFLYINGANIMATIONSCENARIO_H
#define CLASSICFLYINGANIMATIONSCENARIO_H

#include "classicanimationscenario.h"

class ClassicFlyingAnimationScenario : public ClassicAnimationScenario
{
public:
    virtual void launch(const std::shared_ptr<ClassicSprite> sprite, const microsec& time_begin, const microsec& time_end) override;
    virtual void update(const microsec& music_offset) override;
    virtual bool isDone() const override;

private:
    int getPoint(float n1, float n2, float perc) const;

    float _percentage;
};

#endif // CLASSICFLYINGANIMATIONSCENARIO_H
